Bug 879392 - [abrt] [a11y] calc killed by signal 11 (SIGSEGV)
[abrt] [a11y] calc killed by signal 11 (SIGSEGV)
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: libreoffice (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Caolan McNamara
Fedora Extras Quality Assurance
abrt_hash:f33a62492b6e1e724b338363f05...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-22 15:12 EST by Szőke Károly
Modified: 2012-11-27 11:04 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-27 11:04:22 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (6.38 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: environ (1.69 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: limits (1.29 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: backtrace (57.23 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: smolt_data (2.95 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: cgroup (118 bytes, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: executable (42 bytes, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: maps (108.77 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: dso_list (24.66 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: proc_pid_status (902 bytes, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: var_log_messages (346 bytes, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details
File: open_fds (2.97 KB, text/plain)
2012-11-22 15:12 EST, Szőke Károly
no flags Details

  None (edit)
Description Szőke Károly 2012-11-22 15:12:14 EST
Description of problem:
When I want to type the following characters:
[2nd F] [x→K1]
Crashed, when I insert the arrow character.


Version-Release number of selected component:
libreoffice-core-3.5.7.2-6.fc17

Additional info:
libreport version: 2.0.18
abrt_version:   2.0.18
backtrace_rating: 4
cmdline:        /usr/lib64/libreoffice/program/soffice.bin --writer file:///home/karcsi/.cache/.fr-oiLu8H/konz_docx/konz_03_matrixok_matrixok%20szorzasa.docx --splash-pipe=6
crash_function: SvPtrarr::Insert
kernel:         3.1.10

truncated backtrace:
:Thread no. 1 (10 frames)
: #0 SvPtrarr::Insert at /usr/src/debug/libreoffice-3.5.7.2/svl/source/memtools/svarray.cxx:54
: #1 Insert at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/editdoc.hxx:553
: #2 ImpEditEngine::CreateLines at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/impedit3.cxx:1510
: #3 ImpEditEngine::FormatDoc at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/impedit3.cxx:406
: #4 FormatAndUpdate at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/impedit3.cxx:4035
: #5 ImpEditEngine::FormatAndUpdate at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/impedit3.cxx:4026
: #6 EditEngine::GetDocPosTopLeft at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/editeng/editeng.cxx:1711
: #7 SvxEditEngineForwarder::GetParaBounds at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/uno/unofored.cxx:391
: #8 SvxAccessibleTextAdapter::GetParaBounds at /usr/src/debug/libreoffice-3.5.7.2/editeng/source/uno/unoedprx.cxx:840
: #9 accessibility::AccessibleTextHelper_Impl::UpdateVisibleChildren at /usr/src/debug/libreoffice-3.5.7.2/svx/source/accessibility/AccessibleTextHelper.cxx:847
Comment 1 Szőke Károly 2012-11-22 15:12:26 EST
Created attachment 650014 [details]
File: core_backtrace
Comment 2 Szőke Károly 2012-11-22 15:12:28 EST
Created attachment 650015 [details]
File: environ
Comment 3 Szőke Károly 2012-11-22 15:12:30 EST
Created attachment 650016 [details]
File: limits
Comment 4 Szőke Károly 2012-11-22 15:12:32 EST
Created attachment 650017 [details]
File: backtrace
Comment 5 Szőke Károly 2012-11-22 15:12:34 EST
Created attachment 650018 [details]
File: smolt_data
Comment 6 Szőke Károly 2012-11-22 15:12:36 EST
Created attachment 650019 [details]
File: cgroup
Comment 7 Szőke Károly 2012-11-22 15:12:38 EST
Created attachment 650020 [details]
File: executable
Comment 8 Szőke Károly 2012-11-22 15:12:41 EST
Created attachment 650021 [details]
File: maps
Comment 9 Szőke Károly 2012-11-22 15:12:43 EST
Created attachment 650022 [details]
File: dso_list
Comment 10 Szőke Károly 2012-11-22 15:12:45 EST
Created attachment 650023 [details]
File: proc_pid_status
Comment 11 Szőke Károly 2012-11-22 15:12:47 EST
Created attachment 650024 [details]
File: var_log_messages
Comment 12 Szőke Károly 2012-11-22 15:12:49 EST
Created attachment 650025 [details]
File: open_fds
Comment 13 Caolan McNamara 2012-11-22 16:06:52 EST
Looks like a crash in some accessibility code.

This was in calc, right ? I'm a little confused as to what you typed exactly, did you mean you press the F2 key in calc and then entered x,<pressed right arrow>,K1 or the actual right arrow character ?
Comment 14 Szőke Károly 2012-11-23 15:24:51 EST
(In reply to comment #13)
> Looks like a crash in some accessibility code.
> 
> This was in calc, right ? I'm a little confused as to what you typed
> exactly, did you mean you press the F2 key in calc and then entered
> x,<pressed right arrow>,K1 or the actual right arrow character ?

Sorry for few info. Yes, this was in Calc. I wrote this string to the cell:
"[2nd F] [x→K1]"
It was a programmable calculator's program, what I wrote to the Calc step by step.
I insert the arrow from menu: Insert/Special character. And when I insert, the program gone crash. The crash is not reproducible, wrote in twice it was OK.
Sorry for my english, I'm a hungarian.
Comment 15 Caolan McNamara 2012-11-27 11:04:22 EST
Tried to reproduce it with the sample string. Also under valgrind, with no results. Whatever triggers that crash is apparently more than just the entry of the string. Unknown cause :-(

Note You need to log in before you can comment on or make changes to this bug.